petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMShellSetCreateSubDM

Set the routine used to create a sub DM from the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateSubDM(DM dm, PetscErrorCode (*subdm)(DM,PetscInt,const PetscInt[],IS*,DM*))

Logically Collective on dm

Input Arguments

| dm | - the shell DM
| subdm | - the routine to create the decomposition

### See Also

DMCreateSubDM(), DMShellGetCreateSubDM(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages